Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface MessageDrivenBeanType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  MessageDrivenBeanTypeImpl

    public interface MessageDrivenBeanType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `message-driven-beanType` xsd type

Original Documentation:

The message-driven element holds information specific to jboss and not
declared in ejb-jar.xml about a message-driven bean, such as container configuration and
resources. The bean should already be declared in ejb-jar.xml, with the same ejb-name.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`ActivationConfigType<MessageDrivenBeanType<T>>` | `activationConfig()` If not already created, a new `activation-config` element will be created and returned.
`AnnotationType<MessageDrivenBeanType<T>>` | `annotation()` Returns the `annotation` element
`EjbLocalRefType<MessageDrivenBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<MessageDrivenBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`SecurityIdentityType<MessageDrivenBeanType<T>>` | `ejbTimeoutIdentity()` If not already created, a new `ejb-timeout-identity` element will be created and returned.
`java.util.List<AnnotationType<MessageDrivenBeanType<T>>>` | `getAnnotationList()` Returns all `annotation` elements
`java.lang.String` | `getAopDomainName()` Returns the `aop-domain-name` element
`java.util.List<java.lang.String>` | `getDependsList()` Returns all `depends` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getDestinationJndiName()` Returns the `destination-jndi-name` element
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<MessageDrivenBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<MessageDrivenBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<IconType<MessageDrivenBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<JndiRefType<MessageDrivenBeanType<T>>>` | `getJndiRefList()` Returns all `jndi-ref` elements
`java.lang.String` | `getMdbClientId()` Returns the `mdb-client-id` element
`java.lang.String` | `getMdbPasswd()` Returns the `mdb-passwd` element
`java.lang.String` | `getMdbSubscriptionId()` Returns the `mdb-subscription-id` element
`java.lang.String` | `getMdbUser()` Returns the `mdb-user` element
`java.util.List<MessageDestinationRefType<MessageDrivenBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.lang.String` | `getResourceAdapterName()` Returns the `resource-adapter-name` element
`java.util.List<ResourceEnvRefType<MessageDrivenBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<MessageDrivenBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.util.List<ServiceRefType<MessageDrivenBeanType<T>>>` | `getServiceRefList()` Returns all `service-ref` elements
`IconType<MessageDrivenBeanType<T>>` | `icon()` Returns the `icon` element
`IgnoreDependencyType<MessageDrivenBeanType<T>>` | `ignoreDependency()` If not already created, a new `ignore-dependency` element will be created and returned.
`java.lang.Boolean` | `isCreateDestination()` Returns the `create-destination` element
`JndiRefType<MessageDrivenBeanType<T>>` | `jndiRef()` Returns the `jndi-ref` element
`MessageDestinationRefType<MessageDrivenBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MethodAttributesType<MessageDrivenBeanType<T>>` | `methodAttributes()` If not already created, a new `method-attributes` element will be created and returned.
`PoolConfigType<MessageDrivenBeanType<T>>` | `poolConfig()` If not already created, a new `pool-config` element will be created and returned.
`MessageDrivenBeanType<T>` | `removeActivationConfig()` Removes the `activation-config` element
`MessageDrivenBeanType<T>` | `removeAllAnnotation()` Removes all `annotation` elements
`MessageDrivenBeanType<T>` | `removeAllDepends()` Removes the `depends` element
`MessageDrivenBeanType<T>` | `removeAllDescription()` Removes the `description` element
`MessageDrivenBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`MessageDrivenBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`MessageDrivenBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`MessageDrivenBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`MessageDrivenBeanType<T>` | `removeAllJndiRef()` Removes all `jndi-ref` elements
`MessageDrivenBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`MessageDrivenBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`MessageDrivenBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`MessageDrivenBeanType<T>` | `removeAllServiceRef()` Removes all `service-ref` elements
`MessageDrivenBeanType<T>` | `removeAopDomainName()` Removes the `aop-domain-name` element
`MessageDrivenBeanType<T>` | `removeCreateDestination()` Removes the `create-destination` element
`MessageDrivenBeanType<T>` | `removeDestinationJndiName()` Removes the `destination-jndi-name` element
`MessageDrivenBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`MessageDrivenBeanType<T>` | `removeEjbTimeoutIdentity()` Removes the `ejb-timeout-identity` element
`MessageDrivenBeanType<T>` | `removeIgnoreDependency()` Removes the `ignore-dependency` element
`MessageDrivenBeanType<T>` | `removeMdbClientId()` Removes the `mdb-client-id` element
`MessageDrivenBeanType<T>` | `removeMdbPasswd()` Removes the `mdb-passwd` element
`MessageDrivenBeanType<T>` | `removeMdbSubscriptionId()` Removes the `mdb-subscription-id` element
`MessageDrivenBeanType<T>` | `removeMdbUser()` Removes the `mdb-user` element
`MessageDrivenBeanType<T>` | `removeMethodAttributes()` Removes the `method-attributes` element
`MessageDrivenBeanType<T>` | `removePoolConfig()` Removes the `pool-config` element
`MessageDrivenBeanType<T>` | `removeResourceAdapterName()` Removes the `resource-adapter-name` element
`MessageDrivenBeanType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`MessageDrivenBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ResourceEnvRefType<MessageDrivenBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<MessageDrivenBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<MessageDrivenBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`ServiceRefType<MessageDrivenBeanType<T>>` | `serviceRef()` Returns the `service-ref` element
`MessageDrivenBeanType<T>` | `setAopDomainName(java.lang.String aopDomainName)` If not already created, a new `aop-domain-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setCreateDestination(java.lang.Boolean createDestination)` If not already created, a new `create-destination` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setDepends(java.lang.String depends)` Creates a new `depends` element
`MessageDrivenBeanType<T>` | `setDependsList(java.lang.String... values)` Creates for all String objects representing `depends` elements, a new `depends` element
`MessageDrivenBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`MessageDrivenBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`MessageDrivenBeanType<T>` | `setDestinationJndiName(java.lang.String destinationJndiName)` If not already created, a new `destination-jndi-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`MessageDrivenBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`MessageDrivenBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMdbClientId(java.lang.String mdbClientId)` If not already created, a new `mdb-client-id` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMdbPasswd(java.lang.String mdbPasswd)` If not already created, a new `mdb-passwd` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMdbSubscriptionId(java.lang.String mdbSubscriptionId)` If not already created, a new `mdb-subscription-id` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setMdbUser(java.lang.String mdbUser)` If not already created, a new `mdb-user` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setResourceAdapterName(java.lang.String resourceAdapterName)` If not already created, a new `resource-adapter-name` element with the given value will be created.
`MessageDrivenBeanType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    MessageDrivenBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### setDescriptionList

    MessageDrivenBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAllDescription

    MessageDrivenBeanType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    MessageDrivenBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### setDisplayNameList

    MessageDrivenBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAllDisplayName

    MessageDrivenBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    MessageDrivenBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `MessageDrivenBeanType`

### icon

    IconType<MessageDrivenBeanType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<MessageDrivenBeanType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### setEjbName

    MessageDrivenBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeEjbName

    MessageDrivenBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getEjbName

    java.lang.String getEjbName()

  Returns the `ejb-name` element

  Returns:
    the node defined for the element `ejb-name`

### removeActivationConfig

    MessageDrivenBeanType<T> removeActivationConfig()

  Removes the `activation-config` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### activationConfig

    ActivationConfigType<MessageDrivenBeanType<T>> activationConfig()

  If not already created, a new `activation-config` element will be created and returned. Otherwise, the existing `activation-config` element will be returned.

  Returns:
    the node defined for the element `activation-config`

### setDestinationJndiName

    MessageDrivenBeanType<T> setDestinationJndiName(java.lang.String destinationJndiName)

  If not already created, a new `destination-jndi-name` element with the given value will be created. Otherwise, the existing `destination-jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeDestinationJndiName

    MessageDrivenBeanType<T> removeDestinationJndiName()

  Removes the `destination-jndi-name` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getDestinationJndiName

    java.lang.String getDestinationJndiName()

  Returns the `destination-jndi-name` element

  Returns:
    the node defined for the element `destination-jndi-name`

### setMdbUser

    MessageDrivenBeanType<T> setMdbUser(java.lang.String mdbUser)

  If not already created, a new `mdb-user` element with the given value will be created. Otherwise, the existing `mdb-user` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMdbUser

    MessageDrivenBeanType<T> removeMdbUser()

  Removes the `mdb-user` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getMdbUser

    java.lang.String getMdbUser()

  Returns the `mdb-user` element

  Returns:
    the node defined for the element `mdb-user`

### setMdbPasswd

    MessageDrivenBeanType<T> setMdbPasswd(java.lang.String mdbPasswd)

  If not already created, a new `mdb-passwd` element with the given value will be created. Otherwise, the existing `mdb-passwd` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMdbPasswd

    MessageDrivenBeanType<T> removeMdbPasswd()

  Removes the `mdb-passwd` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getMdbPasswd

    java.lang.String getMdbPasswd()

  Returns the `mdb-passwd` element

  Returns:
    the node defined for the element `mdb-passwd`

### setMdbClientId

    MessageDrivenBeanType<T> setMdbClientId(java.lang.String mdbClientId)

  If not already created, a new `mdb-client-id` element with the given value will be created. Otherwise, the existing `mdb-client-id` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMdbClientId

    MessageDrivenBeanType<T> removeMdbClientId()

  Removes the `mdb-client-id` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getMdbClientId

    java.lang.String getMdbClientId()

  Returns the `mdb-client-id` element

  Returns:
    the node defined for the element `mdb-client-id`

### setMdbSubscriptionId

    MessageDrivenBeanType<T> setMdbSubscriptionId(java.lang.String mdbSubscriptionId)

  If not already created, a new `mdb-subscription-id` element with the given value will be created. Otherwise, the existing `mdb-subscription-id` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeMdbSubscriptionId

    MessageDrivenBeanType<T> removeMdbSubscriptionId()

  Removes the `mdb-subscription-id` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getMdbSubscriptionId

    java.lang.String getMdbSubscriptionId()

  Returns the `mdb-subscription-id` element

  Returns:
    the node defined for the element `mdb-subscription-id`

### setResourceAdapterName

    MessageDrivenBeanType<T> setResourceAdapterName(java.lang.String resourceAdapterName)

  If not already created, a new `resource-adapter-name` element with the given value will be created. Otherwise, the existing `resource-adapter-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeResourceAdapterName

    MessageDrivenBeanType<T> removeResourceAdapterName()

  Removes the `resource-adapter-name` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getResourceAdapterName

    java.lang.String getResourceAdapterName()

  Returns the `resource-adapter-name` element

  Returns:
    the node defined for the element `resource-adapter-name`

### removeAllEjbRef

    MessageDrivenBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `MessageDrivenBeanType`

### ejbRef

    EjbRefType<MessageDrivenBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<MessageDrivenBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    MessageDrivenBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `MessageDrivenBeanType`

### ejbLocalRef

    EjbLocalRefType<MessageDrivenBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<MessageDrivenBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeAllServiceRef

    MessageDrivenBeanType<T> removeAllServiceRef()

  Removes all `service-ref` elements

  Returns:
    the current instance of `MessageDrivenBeanType`

### serviceRef

    ServiceRefType<MessageDrivenBeanType<T>> serviceRef()

  Returns the `service-ref` element

  Returns:
    the node defined for the element `service-ref`

### getServiceRefList

    java.util.List<ServiceRefType<MessageDrivenBeanType<T>>> getServiceRefList()

  Returns all `service-ref` elements

  Returns:
    list of `service-ref`

### removeAllResourceRef

    MessageDrivenBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `MessageDrivenBeanType`

### resourceRef

    ResourceRefType<MessageDrivenBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<MessageDrivenBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    MessageDrivenBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `MessageDrivenBeanType`

### resourceEnvRef

    ResourceEnvRefType<MessageDrivenBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<MessageDrivenBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    MessageDrivenBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `MessageDrivenBeanType`

### messageDestinationRef

    MessageDestinationRefType<MessageDrivenBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<MessageDrivenBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### removeSecurityIdentity

    MessageDrivenBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### securityIdentity

    SecurityIdentityType<MessageDrivenBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Returns:
    the node defined for the element `security-identity`

### setSecurityDomain

    MessageDrivenBeanType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeSecurityDomain

    MessageDrivenBeanType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getSecurityDomain

    java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Returns:
    the node defined for the element `security-domain`

### removeMethodAttributes

    MessageDrivenBeanType<T> removeMethodAttributes()

  Removes the `method-attributes` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### methodAttributes

    MethodAttributesType<MessageDrivenBeanType<T>> methodAttributes()

  If not already created, a new `method-attributes` element will be created and returned. Otherwise, the existing `method-attributes` element will be returned.

  Returns:
    the node defined for the element `method-attributes`

### setDepends

    MessageDrivenBeanType<T> setDepends(java.lang.String depends)

  Creates a new `depends` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### setDependsList

    MessageDrivenBeanType<T> setDependsList(java.lang.String... values)

  Creates for all String objects representing `depends` elements, a new `depends` element

  Parameters:
    `list` - of `depends` objects
  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAllDepends

    MessageDrivenBeanType<T> removeAllDepends()

  Removes the `depends` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getDependsList

    java.util.List<java.lang.String> getDependsList()

  Returns all `depends` elements

  Returns:
    list of `depends`

### removeEjbTimeoutIdentity

    MessageDrivenBeanType<T> removeEjbTimeoutIdentity()

  Removes the `ejb-timeout-identity` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### ejbTimeoutIdentity

    SecurityIdentityType<MessageDrivenBeanType<T>> ejbTimeoutIdentity()

  If not already created, a new `ejb-timeout-identity` element will be created and returned. Otherwise, the existing `ejb-timeout-identity` element will be returned.

  Returns:
    the node defined for the element `ejb-timeout-identity`

### removeAllAnnotation

    MessageDrivenBeanType<T> removeAllAnnotation()

  Removes all `annotation` elements

  Returns:
    the current instance of `MessageDrivenBeanType`

### annotation

    AnnotationType<MessageDrivenBeanType<T>> annotation()

  Returns the `annotation` element

  Returns:
    the node defined for the element `annotation`

### getAnnotationList

    java.util.List<AnnotationType<MessageDrivenBeanType<T>>> getAnnotationList()

  Returns all `annotation` elements

  Returns:
    list of `annotation`

### removeIgnoreDependency

    MessageDrivenBeanType<T> removeIgnoreDependency()

  Removes the `ignore-dependency` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### ignoreDependency

    IgnoreDependencyType<MessageDrivenBeanType<T>> ignoreDependency()

  If not already created, a new `ignore-dependency` element will be created and returned. Otherwise, the existing `ignore-dependency` element will be returned.

  Returns:
    the node defined for the element `ignore-dependency`

### setAopDomainName

    MessageDrivenBeanType<T> setAopDomainName(java.lang.String aopDomainName)

  If not already created, a new `aop-domain-name` element with the given value will be created. Otherwise, the existing `aop-domain-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeAopDomainName

    MessageDrivenBeanType<T> removeAopDomainName()

  Removes the `aop-domain-name` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### getAopDomainName

    java.lang.String getAopDomainName()

  Returns the `aop-domain-name` element

  Returns:
    the node defined for the element `aop-domain-name`

### removePoolConfig

    MessageDrivenBeanType<T> removePoolConfig()

  Removes the `pool-config` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### poolConfig

    PoolConfigType<MessageDrivenBeanType<T>> poolConfig()

  If not already created, a new `pool-config` element will be created and returned. Otherwise, the existing `pool-config` element will be returned.

  Returns:
    the node defined for the element `pool-config`

### removeAllJndiRef

    MessageDrivenBeanType<T> removeAllJndiRef()

  Removes all `jndi-ref` elements

  Returns:
    the current instance of `MessageDrivenBeanType`

### jndiRef

    JndiRefType<MessageDrivenBeanType<T>> jndiRef()

  Returns the `jndi-ref` element

  Returns:
    the node defined for the element `jndi-ref`

### getJndiRefList

    java.util.List<JndiRefType<MessageDrivenBeanType<T>>> getJndiRefList()

  Returns all `jndi-ref` elements

  Returns:
    list of `jndi-ref`

### setCreateDestination

    MessageDrivenBeanType<T> setCreateDestination(java.lang.Boolean createDestination)

  If not already created, a new `create-destination` element with the given value will be created. Otherwise, the existing `create-destination` element will be updated with the given value.

  Returns:
    the current instance of `MessageDrivenBeanType`

### removeCreateDestination

    MessageDrivenBeanType<T> removeCreateDestination()

  Removes the `create-destination` element

  Returns:
    the current instance of `MessageDrivenBeanType`

### isCreateDestination

    java.lang.Boolean isCreateDestination()

  Returns the `create-destination` element

  Returns:
    the node defined for the element `create-destination`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD